<?php
/*
Plugin Name: TC Comment Out
Plugin URI: http://www.taupecat.com/2011/04/tc-comment-out/
Description: A simple way of commenting out content in a post or page using a shortcode.
Version: 1.0
Author: Tracy Rotton
Author URI: http://www.taupecat.com/
License: GPLv2
*/

function tc_comment_out_shortcode( $attr, $content ) {

	$content = apply_filters( 'the_content', $content );
	$content = '<!-- ' . $content . ' -->';
	return $content;

}

add_shortcode( 'comment', 'tc_comment_out_shortcode' );

?>